<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>test/dsp_edma/main.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_df418f876ada1743362c954566e842e3.html">test</a></li><li class="navelem"><a class="el" href="dir_da9317d31f19c9eeacb19e001b6fdc19.html">dsp_edma</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">main.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Unit Test code for the EDMA driver.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;stddef.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;math.h&gt;</code><br />
<code>#include &lt;xdc/std.h&gt;</code><br />
<code>#include &lt;xdc/cfg/global.h&gt;</code><br />
<code>#include &lt;xdc/runtime/IHeap.h&gt;</code><br />
<code>#include &lt;xdc/runtime/System.h&gt;</code><br />
<code>#include &lt;xdc/runtime/Error.h&gt;</code><br />
<code>#include &lt;xdc/runtime/Memory.h&gt;</code><br />
<code>#include &lt;ti/sysbios/BIOS.h&gt;</code><br />
<code>#include &lt;ti/sysbios/knl/Task.h&gt;</code><br />
<code>#include &lt;ti/sysbios/knl/Event.h&gt;</code><br />
<code>#include &lt;ti/sysbios/knl/Semaphore.h&gt;</code><br />
<code>#include &lt;ti/sysbios/knl/Clock.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/DebugP.h&gt;</code><br />
<code>#include &lt;assert.h&gt;</code><br />
<code>#include &lt;ti/common/sys_common.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/SemaphoreP.h&gt;</code><br />
<code>#include &lt;ti/drivers/edma/edma.h&gt;</code><br />
<code>#include &lt;ti/drivers/esm/esm.h&gt;</code><br />
<code>#include &lt;ti/drivers/soc/soc.h&gt;</code><br />
<code>#include &lt;ti/alg/mmwavelib/mmwavelib.h&gt;</code><br />
<code>#include &quot;gen_twiddle_fft32x32.h&quot;</code><br />
<code>#include &quot;gen_twiddle_fft16x16.h&quot;</code><br />
<code>#include &quot;DSP_fft32x32.h&quot;</code><br />
<code>#include &quot;DSP_fft16x16.h&quot;</code><br />
<code>#include &lt;ti/mathlib/mathlib.h&gt;</code><br />
<code>#include &lt;ti/control/mmwavelink/mmwavelink.h&gt;</code><br />
<code>#include &lt;<a class="el" href="dss__config__edma__util_8h.html">ti/demo/xwr16xx/mmw/dss/dss_config_edma_util.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="dss__data__path_8h.html">ti/demo/xwr16xx/mmw/dss/dss_data_path.h</a>&gt;</code><br />
<code>#include &lt;ti/drivers/test/common/gen_frame_data.h&gt;</code><br />
<code>#include &lt;ti/utils/cycleprofiler/cycle_profiler.h&gt;</code><br />
<code>#include &lt;ti/utils/testlogger/logger.h&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aeca0b542bd54364613d13c4f01d58792"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeca0b542bd54364613d13c4f01d58792"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#aeca0b542bd54364613d13c4f01d58792">MCPI_LOGBUF_INIT</a> (16 *1024)</td></tr>
<tr class="memdesc:aeca0b542bd54364613d13c4f01d58792"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize the MCPI Log Message Buffer. <br /></td></tr>
<tr class="separator:aeca0b542bd54364613d13c4f01d58792"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91a8ede97a3777ba3da80043dc61cdd1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#a91a8ede97a3777ba3da80043dc61cdd1">_MmwDemo_dssAssert</a> (int32_t expression, const char *file, int32_t line)</td></tr>
<tr class="separator:a91a8ede97a3777ba3da80043dc61cdd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6288eba0f8e8ad3ab1544ad731eb7667"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#a6288eba0f8e8ad3ab1544ad731eb7667">main</a> (void)</td></tr>
<tr class="separator:a6288eba0f8e8ad3ab1544ad731eb7667"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Unit Test code for the EDMA driver. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a91a8ede97a3777ba3da80043dc61cdd1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _MmwDemo_dssAssert </td>
          <td>(</td>
          <td class="paramtype">int32_t&#160;</td>
          <td class="paramname"><em>expression</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t&#160;</td>
          <td class="paramname"><em>line</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Prints to console DSS assert information</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6288eba0f8e8ad3ab1544ad731eb7667"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void main </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Entry point into the test code.</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
